> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Catalog Item Source Update



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/catalog-item-sources/{id}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-item-sources/{id}:
    patch:
      tags:
        - Catalog Item Source Update
      summary: Update Catalog Item Source Update
      operationId: CatalogItemSourceUpdateController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCatalogItemSourceDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogItemSourceResponseDto'
components:
  schemas:
    UpdateCatalogItemSourceDto:
      type: object
      properties:
        version:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        columnsAttributes:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        confirmRelease:
          type: boolean
      required:
        - version
      additionalProperties: false
    CatalogItemSourceResponseDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        familySourceId:
          type: string
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - itemId
        - familySourceId
        - columnsAttributes
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds

````